VkPastPresentationTimingGOOGLE Struct Reference

`#include <vulkan.h>`

## Data Fields

uint32_t | presentID
uint64_t | desiredPresentTime
uint64_t | actualPresentTime
uint64_t | earliestPresentTime
uint64_t | presentMargin

## Detailed Description

Definition at line 6071 of file vulkan.h.

## Field Documentation

## actualPresentTime

uint64_t VkPastPresentationTimingGOOGLE::actualPresentTime

Definition at line 6074 of file vulkan.h.

## desiredPresentTime

uint64_t VkPastPresentationTimingGOOGLE::desiredPresentTime

Definition at line 6073 of file vulkan.h.

## earliestPresentTime

uint64_t VkPastPresentationTimingGOOGLE::earliestPresentTime

Definition at line 6075 of file vulkan.h.

## presentID

uint32_t VkPastPresentationTimingGOOGLE::presentID

Definition at line 6072 of file vulkan.h.

## presentMargin

uint64_t VkPastPresentationTimingGOOGLE::presentMargin

Definition at line 6076 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h